<?php

namespace App\Data\Pagarme\Request\CustomerRequestData\CustomerPhonesRequestData;

use App\Data\Pagarme\PagarmeData;

final readonly class CustomerPhonesRequestData extends PagarmeData
{
    public function __construct(
        public ?CustomerPhoneData $mobilePhone = null,
    ) {}

    public function toArray(): array
    {
        return $this->filterFilledRecursive([
            'mobile_phone' => $this->mobilePhone,
        ]);
    }
}
